System.Runtime.Serialization 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Field, AllowMultiple=false, Inherited=false)

The enables fine control of the names of the enumerations as they are serialized.

To use , create an enumeration and apply the attribute to the enumeration. Then apply the attribute to each member that needs to be in the serialization stream.

Specifies that the field is an enumeration member and should be serialized.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.String To be added.

  By default, the value of an enumeration is the name of the enumeration. When a value is specified, that value will appear in the XML document or stream.

  Gets or sets the value associated with the enumeration member the attribute is applied to.